MaskFactory (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl.mask

## Class MaskFactory

- java.lang.Object
- - org.apache.orc.impl.mask.MaskFactory

- Direct Known Subclasses:
    RedactMaskFactory, SHA256MaskFactory

      public abstract class MaskFactory
      extends Object

  A mask factory framework that automatically builds a recursive mask. The subclass defines how to mask the primitive types and the factory builds a recursive tree of data masks that matches the schema tree.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaskFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataMask` | `build(TypeDescription schema, DataMask.MaskOverrides overrides)`
    `protected abstract DataMask` | `buildBinaryMask(TypeDescription schema)`
    `protected abstract DataMask` | `buildBooleanMask(TypeDescription schema)`
    `protected DataMask[]` | `buildChildren(List<TypeDescription> children, DataMask.MaskOverrides overrides)`
    `protected abstract DataMask` | `buildDateMask(TypeDescription schema)`
    `protected abstract DataMask` | `buildDecimalMask(TypeDescription schema)`
    `protected abstract DataMask` | `buildDoubleMask(TypeDescription schema)`
    `protected abstract DataMask` | `buildLongMask(TypeDescription schema)`
    `protected abstract DataMask` | `buildStringMask(TypeDescription schema)`
    `protected DataMask` | `buildStructMask(TypeDescription schema, DataMask.MaskOverrides overrides)`
    `protected abstract DataMask` | `buildTimestampMask(TypeDescription schema)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MaskFactory

          public MaskFactory()

  - ### Method Detail

    - #### buildBooleanMask

          protected abstract DataMask buildBooleanMask(TypeDescription schema)

    - #### buildLongMask

          protected abstract DataMask buildLongMask(TypeDescription schema)

    - #### buildDecimalMask

          protected abstract DataMask buildDecimalMask(TypeDescription schema)

    - #### buildDoubleMask

          protected abstract DataMask buildDoubleMask(TypeDescription schema)

    - #### buildStringMask

          protected abstract DataMask buildStringMask(TypeDescription schema)

    - #### buildDateMask

          protected abstract DataMask buildDateMask(TypeDescription schema)

    - #### buildTimestampMask

          protected abstract DataMask buildTimestampMask(TypeDescription schema)

    - #### buildBinaryMask

          protected abstract DataMask buildBinaryMask(TypeDescription schema)

    - #### build

          public DataMask build(TypeDescription schema,
                                DataMask.MaskOverrides overrides)

    - #### buildChildren

          protected DataMask[] buildChildren(List<TypeDescription> children,
                                             DataMask.MaskOverrides overrides)

    - #### buildStructMask

          protected DataMask buildStructMask(TypeDescription schema,
                                             DataMask.MaskOverrides overrides)

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.